
#include "pitches.h"

// notes in the melody:
int Emergencymelody[] = {NOTE_C4,};//Hot Car Emergency Tone

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurations[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

void setup() {
  // iterate over the notes of the melody:
 Serial.begin(9600);
}

void loop() {
  // no need to repeat the melody.
   for (int thisNote = 0; thisNote < 1; thisNote++)
   {
    // to calculate the note duration, take one second divided by the note type e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
    int noteDuration = 1000 / noteDurations[thisNote];
    tone(3, Emergencymelody[thisNote], noteDuration);   
    int pauseBetweenNotes = noteDuration * 1.30;// to distinguish the notes, set a minimum time between them. the note's duration + 30% seems to work well:
    delay(pauseBetweenNotes);
    // stop the tone playing:
    noTone(3);
  }
}
